unit UFormSettings;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ULanguages;

type

  { TFormSettings }

  TFormSettings = class(TForm)
    ButtonOk: TButton;
    ButtonCancel: TButton;
    CheckBoxStartMinimizedToTray: TCheckBox;
    CheckBoxStartOnLogon: TCheckBox;
    CheckBoxAlwaysOnTop: TCheckBox;
    ComboBoxLanguage: TComboBox;
    Label1: TLabel;
    procedure ButtonOkClick(Sender: TObject);
    procedure CheckBoxStartOnLogonChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    procedure Load;
    procedure Save;
    procedure UpdateInterface;
  end;

var
  FormSettings: TFormSettings;

implementation

{$R *.lfm}

uses
  UFormMain, UCore;

{ TFormSettings }

procedure TFormSettings.FormShow(Sender: TObject);
begin
  FormMain.CoolTranslator1.LanguageListToStrings(ComboBoxLanguage.Items);
  ComboBoxLanguage.ItemIndex := ComboBoxLanguage.Items.IndexOfObject(FormMain.CoolTranslator1.Language);
  if ComboBoxLanguage.ItemIndex = -1 then ComboBoxLanguage.ItemIndex := 0;
end;

procedure TFormSettings.ButtonOkClick(Sender: TObject);
begin
  if ComboBoxLanguage.ItemIndex <> -1 then
    FormMain.CoolTranslator1.Language := TLanguage(ComboBoxLanguage.Items.Objects[ComboBoxLanguage.ItemIndex]);
end;

procedure TFormSettings.CheckBoxStartOnLogonChange(Sender: TObject);
begin
  UpdateInterface;
end;

procedure TFormSettings.Load;
begin
  CheckBoxAlwaysOnTop.Checked := Core.AlwaysOnTop;
  CheckBoxStartOnLogon.Checked := Core.StartOnLogon;
  CheckBoxStartMinimizedToTray.Checked := Core.StartMinimizedToTray;
  UpdateInterface;
end;

procedure TFormSettings.Save;
begin
  Core.AlwaysOnTop := CheckBoxAlwaysOnTop.Checked;
  Core.StartOnLogon := CheckBoxStartOnLogon.Checked;
  Core.StartMinimizedToTray := CheckBoxStartMinimizedToTray.Checked;
end;

procedure TFormSettings.UpdateInterface;
begin
  CheckBoxStartMinimizedToTray.Enabled := CheckBoxStartOnLogon.Checked;
end;

end.

